<?php
if( ! function_exists( 'empt_lite_register_custom_controls' ) ) :
/**
 * Register Custom Controls
*/
function empt_lite_register_custom_controls( $wp_customize ){
    
    // Load our custom control.
    require_once get_template_directory() . '/inc/custom-controls/note/class-note-control.php';
    require_once get_template_directory() . '/inc/custom-controls/radioimg/class-radio-image-control.php';
    require_once get_template_directory() . '/inc/custom-controls/select/class-select-control.php';
    require_once get_template_directory() . '/inc/custom-controls/slider/class-slider-control.php';
    require_once get_template_directory() . '/inc/custom-controls/toggle/class-toggle-control.php';
    require_once get_template_directory() . '/inc/custom-controls/typography/class-fonts.php';
    require_once get_template_directory() . '/inc/custom-controls/typography/class-typography-control.php';
    require_once get_template_directory() . '/inc/custom-controls/repeater/class-repeater-setting.php';
    require_once get_template_directory() . '/inc/custom-controls/repeater/class-control-repeater.php';
            
    // Register the control type.
    $wp_customize->register_control_type( 'Empt_Lite_Radio_Image_Control' );
    $wp_customize->register_control_type( 'Empt_Lite_Select_Control' );
    $wp_customize->register_control_type( 'Empt_Lite_Slider_Control' );
    $wp_customize->register_control_type( 'Empt_Lite_Toggle_Control' );
    $wp_customize->register_control_type( 'Empt_Lite_Typography_Control' ); 
	
	// Modify default WordPress sections and controls
	$wp_customize->get_section( 'colors' )->panel = 'colors';
	$wp_customize->get_section( 'colors' )->priority = 10;
	$wp_customize->get_section( 'colors' )->title = esc_html__( 'Main Body', 'empt-lite' );
	
}
endif;
add_action( 'customize_register', 'empt_lite_register_custom_controls' );



// Displays the upgrade teasers in thhe Pro Version / More Features section.
if ( class_exists( 'WP_Customize_Control' ) ) {
	
	class Empt_Lite_Customize_Static_Text_Control extends WP_Customize_Control {
		// Render Control
		public function render_content() {
	?>

    <div class="upgrade-pro-version">		
		
	<div class="upgrade-pro"> 
	
	<p class="rp-pro-heading"><?php esc_html_e('Empt Pro', 'empt-lite') ?></p>
	
	<p class="rp-discount">Save $10 (Limited Time Offer!) if you decide to upgrade to the Pro theme version with this discount code on checkout: 
	<span class="rp-discount-code">EMPT10</span></p>	
   
    <p class="rp-pro-title"><?php esc_html_e('Features:', 'empt-lite') ?></p>
		
    <ul class="rp-pro-list">
		<li><?php esc_html_e('&bull; Ready for WordPress 5', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; 10 Blog Styles', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; 10 Dynamic Sidebar Positions', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; 5 Full Post Layouts', 'empt-lite')?></li>
		<li><?php esc_html_e('&bull; Option to Disable Gutenberg Styles', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; Additional Page Templates', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; Additional Thumbnail Creation for Blogs', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; Related Posts w/thumbnails', 'empt-lite')?></li>
		<li><?php esc_html_e('&bull; Custom Blog Intro Heading', 'empt-lite')?></li>
		<li><?php esc_html_e('&bull; Custom Comments Widget w/Avatar', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; Feature a Post on the Blog', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; An About Me Widget', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; Custom Styled Archive Titles', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; Show or Hide Various Elements', 'empt-lite')?></li>
		<li><?php esc_html_e('&bull; Custom Page Loader - Counter', 'empt-lite')?></li>
		<li><?php esc_html_e('&bull; One Click Updating from Rough Pixels', 'empt-lite')?></li>
        <li><?php esc_html_e('&bull; Priority Support', 'empt-lite')?></li>
		<li><?php esc_html_e('&bull; Plus more...', 'empt-lite')?></li>
    </ul>

    <p><a class="rp-get-pro button" href="<?php echo esc_url('https://roughpixels.ch/themes/empt/'); ?>" target="_blank"><?php esc_html_e( 'View Details', 'empt-lite' ); ?></a></p>			

    </div>

    <?php
		}
	}
}