<?php
/**
 * Label Options
 * Register the label options section, settings and controls for Theme Customizer
 * @package Empt_Lite
 */
function empt_lite_customize_register_label_options( $wp_customize ) {

	// Add Sections for label options.
	$wp_customize->add_section( 'empt_lite_label_options', array(
		'title'    => esc_html__( 'Label Options', 'empt-lite' ),
		'priority' => 27,
	) );

	// Default blog title label
  $wp_customize->add_setting( 'empt_lite_default_blog_title',
    array(
      'default' => esc_html__( 'My Blog', 'empt-lite' ),
      'sanitize_callback' => 'sanitize_text_field',
      'transport' => 'postMessage'
    )
  );

  $wp_customize->add_control( 'empt_lite_default_blog_title', array(
    'type'        => 'text',
    'label'       => esc_html__( 'Blog Title (Front Page)', 'empt-lite' ),
    'section'     => 'empt_lite_label_options'
   ) );
   
     /** Default blog intro text */
    $wp_customize->add_setting( 'empt_lite_default_blog_intro', array(
            'default'           => '',
            'sanitize_callback' => 'wp_kses_post',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control( 'empt_lite_default_blog_intro', array(
            'label'   => esc_html__( 'Blog Intro (Front Page)', 'empt-lite' ),
            'section' => 'empt_lite_label_options',
            'type'    => 'textarea',
        )
    ); 
   
   
    /** Read More Text */
    $wp_customize->add_setting( 'empt_lite_more_link_text', array(
            'default'           => esc_html__( 'Read More', 'empt-lite' ),
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage' 
        )
    );
    
    $wp_customize->add_control( 'empt_lite_more_link_text', array(
            'type'    => 'text',
            'section' => 'empt_lite_label_options',
            'label'   => esc_html__( 'Read More Text', 'empt-lite' ),
        )
    ); 
	
}
add_action( 'customize_register', 'empt_lite_customize_register_label_options' );
