<?php
/**
 * Other options
 * @package Empt_Lite
 */

function empt_lite_customize_register_other( $wp_customize ) {
    
    $wp_customize->add_section( 'empt_lite_other_settings', array(
            'title'      => esc_html__( 'Other Options', 'empt-lite' ),
            'priority'   => 38,
            'capability' => 'edit_theme_options',
        ) );
 
  // Footer Copyright
  $wp_customize->add_setting( 'empt_lite_copyright', array(
      'default' => '',
      'sanitize_callback' => 'wp_kses_post',
      'transport' => 'postMessage'
    ) );
 
  $wp_customize->add_control( 'empt_lite_copyright', array(
        'type'    => 'text',
        'label'   => esc_html__( 'Copyright Name', 'empt-lite' ),
        'description' => esc_html__( 'Enter your name, website name, or company name [ no html ].', 'empt-lite' ),
        'section' => 'empt_lite_other_settings',
      ) );
  
	// Hide edit link
	$wp_customize->add_setting( 'empt_lite_hide_edit', array(
		'default'           => false,
		'transport'         => 'postMessage',
		'sanitize_callback' => 'empt_lite_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Empt_Lite_Toggle_Control( 
		$wp_customize, 'empt_lite_hide_edit', array(
		'label'    => esc_html__( 'Hide Edit Link', 'empt-lite' ),
		'description' => esc_html__( 'Show or hide the edit link on the front of the site.', 'empt-lite' ),
		'section'  => 'empt_lite_other_settings',
	) ) );  
	
}
add_action( 'customize_register', 'empt_lite_customize_register_other' );
