<?php
/**
 * Appearance Settings
 *
 * @package Empt_Lite
 */

function empt_lite_customize_register_typography( $wp_customize ) {
    

    /** Typography */
    $wp_customize->add_section( 'typography_settings', array(
            'title'    => esc_html__( 'Typography Options', 'empt-lite' ),
            'priority' => 50,
           /*  'panel'    => 'empt_lite_typography_options', */
        )
    );
    
    /** Primary Font */
    $wp_customize->add_setting( 'primary_font', array(
			'default'			=> 'Roboto',
			'sanitize_callback' => 'empt_lite_sanitize_select'
		)
	);

	$wp_customize->add_control( new Empt_Lite_Select_Control( $wp_customize,	'primary_font', array(
                'label'	      => esc_html__( 'Primary Font', 'empt-lite' ),
                'description' => esc_html__( 'Primary font for your website main content.', 'empt-lite' ),
    			'section'     => 'typography_settings',
    			'choices'     => empt_lite_get_all_fonts(),	
     		)
		)
	);
    
    /** Secondary Font */
    $wp_customize->add_setting( 'secondary_font', array(
			'default'			=> 'Playfair Display',
			'sanitize_callback' => 'empt_lite_sanitize_select'
		)
	);

	$wp_customize->add_control( new Empt_Lite_Select_Control( $wp_customize,	'secondary_font', array(
                'label'	      => esc_html__( 'Secondary Font', 'empt-lite' ),
                'description' => esc_html__( 'Secondary font for your page headings and titles.', 'empt-lite' ),
    			'section'     => 'typography_settings',
    			'choices'     => empt_lite_get_all_fonts(),	
     		)
		)
	);
    
    /** Font Size*/
    $wp_customize->add_setting( 'font_size', array(
            'default'           => 17,
            'sanitize_callback' => 'empt_lite_sanitize_number_absint'
        ) 
    );
    
    $wp_customize->add_control( new Empt_Lite_Slider_Control( $wp_customize, 'font_size', array(
				'section'	  => 'typography_settings',
				'label'		  => esc_html__( 'Font Size', 'empt-lite' ),
				'description' => esc_html__( 'Change the font size of your site.', 'empt-lite' ),
                'choices'	  => array(
					'min' 	=> 10,
					'max' 	=> 50,
					'step'	=> 1,
				)                 
			)
		)
	);
    
}
add_action( 'customize_register', 'empt_lite_customize_register_typography' );
