<?php
/**
 * Dynamic Inline Styles
 * 
 * @package Empt_Lite
*/
if( ! function_exists( 'empt_lite_dynamic_css' ) ) :
/* 
* Dynamic Css
*/
function empt_lite_dynamic_css(){
    
    $primary_font    = get_theme_mod( 'primary_font', 'Roboto' );
    $primary_fonts   = empt_lite_get_fonts( $primary_font, 'regular' );
    $secondary_font  = get_theme_mod( 'secondary_font', 'Playfair Display' );
    $secondary_fonts = empt_lite_get_fonts( $secondary_font, 'regular' );
    $font_size       = get_theme_mod( 'font_size', 17 );
    
    $site_title_font      = get_theme_mod( 'site_title_font', array( 'font-family'=>'Playfair Display', 'variant'=>'700italic' ) );
    $site_title_fonts     = empt_lite_get_fonts( $site_title_font['font-family'], $site_title_font['variant'] );
    $site_title_font_size = get_theme_mod( 'site_title_font_size', 4 );
	
	$empt_lite_loader_color = get_theme_mod( 'empt_lite_loader_color', '#d6ac6a' );
	$empt_lite_sitetitle_color = get_theme_mod( 'empt_lite_sitetitle_color', '#000' );
	$empt_lite_sitetagline_color = get_theme_mod( 'empt_lite_sitetagline_color', '#9a9a9a' );
	$empt_lite_footer_bg_color = get_theme_mod( 'empt_lite_footer_bg_color', '#000' );
	$empt_lite_body_text_color = get_theme_mod( 'empt_lite_body_text_color', '#505050' );
	$empt_lite_heading_color = get_theme_mod( 'empt_lite_heading_color', '#222' );
	$empt_lite_archive_prefix_color = get_theme_mod( 'empt_lite_archive_prefix_color', '#d6ac6a' );
	$empt_lite_page_intro_color = get_theme_mod( 'empt_lite_page_intro_color', '#807e7e' );
    $empt_lite_links_color = get_theme_mod( 'empt_lite_links_color', '#d8962f' );
	$empt_lite_link_hover_color = get_theme_mod( 'empt_lite_link_hover_color', '#ad7e35' );
	$empt_lite_blockquote_icon_color = get_theme_mod( 'empt_lite_blockquote_icon_color', '#d8962f' );
	$empt_lite_footer_widget_title_color = get_theme_mod( 'empt_lite_footer_widget_title_color', '#fff' );
	$empt_lite_footer_widget_title_line = get_theme_mod( 'empt_lite_footer_widget_title_line', '#d6ac6a' );
	$empt_lite_footer_widget_text_color = get_theme_mod( 'empt_lite_footer_widget_text_color', '#ccc' );
	$empt_lite_footer_widget_link_color = get_theme_mod( 'empt_lite_footer_widget_link_color', '#fff' );
	$empt_lite_footer_widget_link_hover_color = get_theme_mod( 'empt_lite_footer_widget_link_hover_color', '#d6ac6a' );
	$empt_lite_footer_widget_list_line_color = get_theme_mod( 'empt_lite_footer_widget_list_line_color', '#1a1a1a' );
	$empt_lite_footer_widget_tags_color = get_theme_mod( 'empt_lite_footer_widget_tags_color', '#fff' );
	$empt_lite_footer_widget_tags_hover_color = get_theme_mod( 'empt_lite_footer_widget_tags_hover_color', '#d6ac6a' );
	$empt_lite_footer_line_color = get_theme_mod( 'empt_lite_footer_line_color', '#1a1a1a' );
	$empt_lite_footer_text_color = get_theme_mod( 'empt_lite_footer_text_color', '#ccc' );
	$empt_lite_footer_menu_color = get_theme_mod( 'empt_lite_footer_menu_color', '#fff' );
	$empt_lite_footer_menu_hover_color = get_theme_mod( 'empt_lite_footer_menu_hover_color', '#d6ac6a' );
	$empt_lite_social_color = get_theme_mod( 'empt_lite_social_color', '#fff' );
	$empt_lite_social_hover_color = get_theme_mod( 'empt_lite_social_hover_color', '#d6ac6a' );
	$empt_lite_title_bottom_line = get_theme_mod( 'empt_lite_title_bottom_line', '#d6ac6a' );
	$empt_lite_post_details = get_theme_mod( 'empt_lite_post_details', '#a3a3a3' );
	$empt_lite_post_details_linked = get_theme_mod( 'empt_lite_post_details_linked', '#868686' );
	$empt_lite_post_details_hover = get_theme_mod( 'empt_lite_post_details_hover', '#d6ac6a' );
	$empt_lite_post_blog_details_linked = get_theme_mod( 'empt_lite_post_blog_details_linked', '#222' );
	$empt_lite_blog_detail_style_separator = get_theme_mod( 'empt_lite_blog_detail_style_separator', '#dedede' );
	$empt_lite_blog_gallery_overlay = get_theme_mod( 'empt_lite_blog_gallery_overlay', '#fff' );
	$empt_lite_blog_gallery_title = get_theme_mod( 'empt_lite_blog_gallery_title', '#000' );
	$empt_lite_blog_gallery_readmore = get_theme_mod( 'empt_lite_blog_gallery_readmore', '#000' );
	$empt_lite_blog_gallery_readmore_hover = get_theme_mod( 'empt_lite_blog_gallery_readmore_hover', '#d6ac6a' );
	$empt_lite_about_widget_bg = get_theme_mod( 'empt_lite_about_widget_bg', '#fbfbfb' );
	$empt_lite_about_widget_text = get_theme_mod( 'empt_lite_about_widget_text', '#505050' );
	$empt_lite_about_widget_title = get_theme_mod( 'empt_lite_about_widget_title', '#222' );	
	$empt_lite_widget_list_lines = get_theme_mod( 'empt_lite_widget_list_lines', '#dedede' );
	$empt_lite_button_bg = get_theme_mod( 'empt_lite_button_bg', '#000' );
	$empt_lite_button_text = get_theme_mod( 'empt_lite_button_text', '#fff' );
	$empt_lite_button_hover_bg = get_theme_mod( 'empt_lite_button_hover_bg', '#ad7e35' );
	$empt_lite_button_hover_text = get_theme_mod( 'empt_lite_button_hover_text', '#fff' );
	
	$empt_lite_footer_button_bg = get_theme_mod( 'empt_lite_footer_button_bg', '#ad7e35' );
	$empt_lite_footer_button_text = get_theme_mod( 'empt_lite_footer_button_text', '#fff' );
	$empt_lite_footer_button_hover_bg = get_theme_mod( 'empt_lite_footer_button_hover_bg', '#d6ac6a' );
	$empt_lite_footer_button_hover_text = get_theme_mod( 'empt_lite_footer_button_hover_text', '#fff' );
	
	$empt_lite_input_field_bg = get_theme_mod( 'empt_lite_input_field_bg', '#fbfbfb' );
	$empt_lite_input_field_border = get_theme_mod( 'empt_lite_input_field_bg', '#dedede' );
	$empt_lite_input_field_text = get_theme_mod( 'empt_lite_input_field_text', '#222' );
	$empt_lite_input_field_hover_border = get_theme_mod( 'empt_lite_input_field_hover_border', '#b4b9be' );
	$empt_lite_input_placeholder = get_theme_mod( 'empt_lite_input_placeholder', '#b5b5b5' );
	$empt_lite_pagination_link = get_theme_mod( 'empt_lite_pagination_link', '#000' );
	$empt_lite_selection_bg_color = get_theme_mod( 'empt_lite_selection_bg_color', '#d6ac6a' );
	$empt_lite_selection_text_color = get_theme_mod( 'empt_lite_selection_text_color', '#fff' );
	$empt_lite_mainmenu_link = get_theme_mod( 'empt_lite_mainmenu_link', '#000' );
	$empt_lite_mainmenu_hover_link = get_theme_mod( 'empt_lite_mainmenu_hover_link', '#d6ac6a' );
	$empt_lite_mainmenu_arrow = get_theme_mod( 'empt_lite_mainmenu_arrow', '#989898' );
	
    $rgb = empt_lite_hex2rgb( empt_lite_sanitize_hex_color( $empt_lite_blockquote_icon_color ) );
	
    echo '<style type="text/css" media="all">'; ?>

body {
color: <?php echo esc_attr( $empt_lite_body_text_color ); ?>;
font-family : <?php echo wp_kses_post( $primary_fonts['font'] ); ?>;
font-size : <?php echo absint( $font_size ); ?>px;
}

#site-title {
font-size : calc(1rem + <?php echo esc_attr( $site_title_font_size ); ?>vw);
font-family : <?php echo wp_kses_post( $site_title_fonts['font'] ); ?>;
font-weight : <?php echo esc_attr( $site_title_fonts['weight'] ); ?>;
font-style : <?php echo esc_attr( $site_title_fonts['style'] ); ?>;
}

h1, h2, h3, h4, h5, h6 {
font-family : <?php echo wp_kses_post( $secondary_fonts['font'] ); ?>;
}
h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a, h1 a:visited, h2 a:visited, h3 a:visited, h4 a:visited, h5 a:visited, h6 a:visited {
color: <?php echo esc_attr( $empt_lite_heading_color ); ?>;}
.archive-prefix.color {color: <?php echo esc_attr( $empt_lite_archive_prefix_color ); ?>;}
#page-intro { color: <?php echo esc_attr( $empt_lite_page_intro_color ); ?>; }
.pace .pace-progress { color: <?php echo esc_attr( $empt_lite_loader_color ); ?>; }
#site-title a, #site-title a:visited { color: <?php echo esc_attr( $empt_lite_sitetitle_color ); ?>; }
#site-description { color: <?php echo esc_attr( $empt_lite_sitetagline_color ); ?>; }
a { color: <?php echo esc_attr( $empt_lite_links_color ); ?>; }
a:visited, a:focus, a:hover { color: <?php echo esc_attr( $empt_lite_link_hover_color ); ?>; }
#footer-wrapper { background: <?php echo esc_attr( $empt_lite_footer_bg_color ); ?>; color: <?php echo esc_attr( $empt_lite_footer_widget_text_color ); ?>;}
#footer-wrapper a, #footer-wrapper a:visited { color: <?php echo esc_attr( $empt_lite_footer_widget_link_color ); ?>; }
#footer-wrapper a:focus, #footer-wrapper a:hover, #footer-wrapper #empt-recent-comments .comment-link:hover { color: <?php echo esc_attr( $empt_lite_footer_widget_link_hover_color ); ?>; }
#footer-wrapper .widget-title { color: <?php echo esc_attr( $empt_lite_footer_widget_title_color ); ?>; }
#footer-wrapper .widget-title::after { background: <?php echo esc_attr( $empt_lite_footer_widget_title_line ); ?>; }
#footer-sidebars .widget > ul > li { border-color: <?php echo esc_attr( $empt_lite_footer_widget_list_line_color ); ?>; }
#footer-sidebars .tag-cloud-link { border-color: <?php echo esc_attr( $empt_lite_footer_widget_tags_color ); ?>; color: <?php echo esc_attr( $empt_lite_footer_widget_tags_color ); ?> !important; }
#footer-sidebars .tag-cloud-link:focus, #footer-sidebars .tag-cloud-link:hover { border-color: <?php echo esc_attr( $empt_lite_footer_widget_tags_color ); ?>; color: <?php echo esc_attr( $empt_lite_footer_widget_tags_hover_color ); ?> !important; }
#footer { border-color: <?php echo esc_attr( $empt_lite_footer_line_color ); ?>; }
#footer { color: <?php echo esc_attr( $empt_lite_footer_text_color ); ?>; }
#footer-social a, #footer-social a:visited { border-color: <?php echo esc_attr( $empt_lite_social_color ); ?>; color: <?php echo esc_attr( $empt_lite_social_color ); ?> }
#footer-social a:focus, #footer-social a:hover { border-color: <?php echo esc_attr( $empt_lite_social_hover_color ); ?>; color: <?php echo esc_attr( $empt_lite_social_hover_color ); ?> }
#footer-menu a, #footer-menu a:visited { color: <?php echo esc_attr( $empt_lite_footer_menu_color ); ?>; }
#footer-menu a:focus, #footer-menu a:hover { color: <?php echo esc_attr( $empt_lite_footer_menu_hover_color ); ?>;}
#footer-nav a::before, #footer-nav a::after { background: <?php echo esc_attr( $empt_lite_footer_menu_hover_color ); ?>;}
blockquote:before { <?php echo 'color: rgba(' . $rgb[0] . ', ' . $rgb[1] . ', ' . $rgb[2] . ', 0.4);'; ?> }
.post-details { color: <?php echo esc_attr( $empt_lite_post_details ); ?>; }
.post-details a, .post-details a:visited { color: <?php echo esc_attr( $empt_lite_post_details_linked ); ?>; }
.post-details a:focus,.post-details a:hover, .blog-details .post-details a:focus, .blog-details .post-details a:hover,
.blog-details .post-details a::before, .blog-details .post-details a::after { color: <?php echo esc_attr( $empt_lite_post_details_hover ); ?>; }
.post-details a::before, .post-details a::after { background: <?php echo esc_attr( $empt_lite_post_details_hover ); ?>; }
.blog-details .post-details a, .blog-details .post-details a:visited { color: <?php echo esc_attr( $empt_lite_post_blog_details_linked ); ?>; }
.entry-title:after, .widget-title:after { background: <?php echo esc_attr( $empt_lite_title_bottom_line ); ?>; }

.single .entry-footer { border-color: <?php echo esc_attr( $empt_lite_widget_list_lines ); ?>; }

@media (min-width: 992px) {
.blog-details .post-details { border-color: <?php echo esc_attr( $empt_lite_blog_detail_style_separator ); ?>; }
.main-navigation ul .icon { fill: <?php echo esc_attr( $empt_lite_mainmenu_arrow ); ?>; }
}

.blog-gallery .grid-item .content-overlay { background: <?php echo esc_attr( $empt_lite_blog_gallery_overlay ); ?>; }
.blog-gallery .entry-title a, .blog-gallery .entry-title a:visited { color: <?php echo esc_attr( $empt_lite_blog_gallery_title ); ?>; }
.blog-gallery .more-link, .blog-gallery .more-link:visited { color: <?php echo esc_attr( $empt_lite_blog_gallery_readmore ); ?>; }
.blog-gallery .more-link:focus, .blog-gallery .more-link:hover { color: <?php echo esc_attr( $empt_lite_blog_gallery_readmore_hover ); ?>; }
.blog-gallery .more-link::before, .blog-gallery .more-link::after { background: <?php echo esc_attr( $empt_lite_blog_gallery_readmore_hover ); ?>; }
.empt-widget-about { background: <?php echo esc_attr( $empt_lite_about_widget_bg ); ?>; color: <?php echo esc_attr( $empt_lite_about_widget_text ); ?>; }
.empt-widget-about .about-me-name { color: <?php echo esc_attr( $empt_lite_about_widget_title ); ?>; }
.widget > ul > li, .widget_nav_menu li ul, .widget_pages li ul { border-color: <?php echo esc_attr( $empt_lite_widget_list_lines ); ?>; }
.button, button, input[type="button"], input[type="reset"], input[type="submit"] { background: <?php echo esc_attr( $empt_lite_button_bg ); ?>; color: <?php echo esc_attr( $empt_lite_button_text ); ?>; } .button:active,.button:focus,.button:hover,button:active,button:focus,button:hover,input[type="button"]:active,input[type="button"]:focus,input[type="button"]:hover,input[type="reset"]:active,input[type="reset"]:focus,input[type="reset"]:hover,input[type="submit"]:active,input[type="submit"]:focus,input[type="submit"]:hover { background: <?php echo esc_attr( $empt_lite_button_hover_bg ); ?>; color: <?php echo esc_attr( $empt_lite_button_hover_text ); ?>; }

.button:visited,
button:visited,
input[type="button"]:visited,
input[type="reset"]:visited,
input[type="submit"]:visited { background: <?php echo esc_attr( $empt_lite_button_bg ); ?>; color: <?php echo esc_attr( $empt_lite_button_text ); ?>; }

.button:active,.button:focus,.button:hover,button:active,button:focus,button:hover,input[type="button"]:active,input[type="button"]:focus,input[type="button"]:hover,input[type="reset"]:active,input[type="reset"]:focus,input[type="reset"]:hover,input[type="submit"]:active,input[type="submit"]:focus,input[type="submit"]:hover { background: <?php echo esc_attr( $empt_lite_button_hover_bg ); ?>; color: <?php echo esc_attr( $empt_lite_button_hover_text ); ?>; }

#footer-wrapper .button, #footer-wrapper .button:visited, #footer-wrapper button, #footer-wrapper input[type="button"], #footer-wrapper input[type="reset"], #footer-wrapper input[type="submit"], #footer-wrapper button:visited, #footer-wrapper input[type="button"]:visited, #footer-wrapper input[type="reset"]:visited, #footer-wrapper input[type="submit"]:visited { background: <?php echo esc_attr( $empt_lite_footer_button_bg ); ?>; color: <?php echo esc_attr( $empt_lite_footer_button_text ); ?>; }

#footer-wrapper .button:focus, #footer-wrapper .button:hover, #footer-wrapper button:active, #footer-wrapper button:focus, #footer-wrapper button:hover, #footer-wrapper input[type="button"]:active, #footer-wrapper input[type="button"]:focus, #footer-wrapper input[type="button"]:hover, #footer-wrapper input[type="reset"]:active, #footer-wrapper input[type="reset"]:focus, #footer-wrapper input[type="reset"]:hover, #footer-wrapper input[type="submit"]:active, #footer-wrapper input[type="submit"]:focus, #footer-wrapper input[type="submit"]:hover { background: <?php echo esc_attr( $empt_lite_footer_button_hover_bg ); ?>; color: <?php echo esc_attr( $empt_lite_footer_button_hover_text ); ?>; }

input[type="text"],
input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea { background: <?php echo esc_attr( $empt_lite_input_field_bg ); ?>; border-color: <?php echo esc_attr( $empt_lite_input_field_border ); ?>; color: <?php echo esc_attr( $empt_lite_input_field_text ); ?>; }

input[type="text"]:focus,
input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="number"]:focus, input[type="tel"]:focus, input[type="range"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="week"]:focus, input[type="time"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="color"]:focus, textarea:focus, input[type="text"]:hover, input[type="email"]:hover, input[type="url"]:hover, input[type="password"]:hover, input[type="search"]:hover, input[type="number"]:hover, input[type="tel"]:hover, input[type="range"]:hover, input[type="date"]:hover, input[type="month"]:hover, input[type="week"]:hover, input[type="time"]:hover, input[type="datetime"]:hover, input[type="datetime-local"]:hover, input[type="color"]:hover, textarea:hover { border-color: <?php echo esc_attr( $empt_lite_input_field_hover_border ); ?>; }

::-webkit-input-placeholder { color: <?php echo esc_attr( $empt_lite_input_placeholder ); ?>; }
:-ms-input-placeholder { color: <?php echo esc_attr( $empt_lite_input_placeholder ); ?>; }
::-moz-placeholder { color: <?php echo esc_attr( $empt_lite_input_placeholder ); ?>; }
::placeholder { color: <?php echo esc_attr( $empt_lite_input_placeholder ); ?>; }
::selection, .comment-awaiting-moderation { background: <?php echo esc_attr( $empt_lite_selection_bg_color ); ?>; color: <?php echo esc_attr( $empt_lite_selection_text_color ); ?>; }
.pagination a, .pagination a:visited, .nav-links a { color: <?php echo esc_attr( $empt_lite_pagination_link ); ?>; }
.main-navigation a, .main-navigation a:visited, .main-navigation .home.current-menu-item a { color: <?php echo esc_attr( $empt_lite_mainmenu_link ); ?>; }
.main-navigation .home.current-menu-item a:hover, .main-navigation a:focus, .main-navigation a:hover, .main-navigation .current-menu-item > a, .main-navigation .current-menu-ancestor > a { color: <?php echo esc_attr( $empt_lite_mainmenu_hover_link ); ?>; }


<?php echo '</style>';
}
endif;
add_action( 'wp_head', 'empt_lite_dynamic_css', 99 );


// Function for sanitizing Hex color 
function empt_lite_sanitize_hex_color( $color ){
	if ( '' === $color )
		return '';

    // 3 or 6 hex digits, or the empty string.
	if ( preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color ) )
		return $color;
}

/**
 * convert hex to rgb
 * @link http://bavotasan.com/2011/convert-hex-color-to-rgb-using-php/
*/
function empt_lite_hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}
