(function($) {
  "use strict";
  $(document).ready(function($){
    
    $('.select-portrait-image').live( 'click', function(e){
      e.preventDefault();
      
      var $button = $(this),
          $actions = $button.parent(),
          $parent = $button.closest('.portrait-image'),
          meta_image_frame;
          
      if ( meta_image_frame ) {
          meta_image_frame.open();
          return;
      }
      
      meta_image_frame = wp.media.frames.meta_image_frame = wp.media({
          title: emptLiteWidgetAbout.mediaFrameTitle,
          button: { text:  emptLiteWidgetAbout.mediaFrameButton },
          library: { type: 'image' }
      });
      meta_image_frame.on('select', function(e){
        var media_attachment = meta_image_frame.state().get('selection').first().toJSON(), imgSrc;
   
        imgSrc = media_attachment.sizes.thumbnail ? media_attachment.sizes.thumbnail.url : media_attachment.sizes.full.url;
        
        $parent.find('.selected-portrait').html('<img src="' + imgSrc + '" class="attachment-post-thumbnail" alt="">');
        $parent.find('.portrait-id').val( media_attachment.id );
        $button.text( emptLiteWidgetAbout.changeText );
        
        if( $actions.find('.remove-portrait-image').length == '' )
          $actions.append( ' <button class="remove-portrait-image button">' + emptLiteWidgetAbout.removeText + '</button>' );
      });
      meta_image_frame.open();
    });
    
    $('.remove-portrait-image').live( 'click', function(e){
      e.preventDefault();
      
      var $button = $(this),
          $actions = $button.parent(),
          $parent = $button.closest('.portrait-image');
          
      $parent.find('.selected-portrait').html('');
      $parent.find('.portrait-id').val( 0 );
      $actions.find( '.select-portrait-image' ).text( emptLiteWidgetAbout.selectText );
      $button.remove();
	  });
  });
})(jQuery);