<?php
/**
 * The template used for displaying page content
 * @package Empt_Lite
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if ( has_post_thumbnail() ) {
				if( esc_attr(get_theme_mod( 'empt_lite_wide_thumbnails', false ) ) ) :
					echo '<figure class="post-thumbnail">';
							the_post_thumbnail( 'empt-wide-thumbnail', array(
							// image alt
							'alt' => the_title_attribute(
								array( 'echo' => false )
								),
							) );
					echo '</figure>';
				else:
					echo '<figure class="post-thumbnail">';
						the_post_thumbnail();
					echo '</figure>';	
				endif; 
	}
	?>

    <header id="page-header">
        <?php the_title( '<h1 id="page-title">', '</h1>' ); ?>

        <?php if ( has_excerpt() && !is_archive() && !is_search() && !is_404()  ) : ?>
        <div id="page-intro">
            <?php  the_excerpt();  ?>
        </div>
        <?php endif;?>

    </header><!-- .entry-header -->

    <div class="entry-content">
        <?php
		the_content();

		wp_link_pages(
			array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'empt-lite' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'empt-lite' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			)
		);
		?>
    </div><!-- .entry-content -->

    <?php  if ( get_edit_post_link() && false == esc_attr(get_theme_mod( 'empt_lite_hide_edit', false ) ) ) :
		edit_post_link(
			sprintf(
				/* translators: %s: Name of current post */
				__( 'Edit Page <span class="screen-reader-text"> "%s"</span>', 'empt-lite' ),
				get_the_title()
			),
			'<footer class="entry-footer">',
			'</footer>'
		);
		endif;
		?>


</article><!-- #post-<?php the_ID(); ?> -->
