<?php
/**
 * The default template for displaying list content
 * Used for search page.
 * @package Biggy
 */
 
 if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
	
$empt_lite_single_layout = get_theme_mod( 'empt_lite_single_layout', 'right' );	
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>



    <?php // Show post thumbnail if we are using a single layout that does not have the banner style active
		if ( $empt_lite_single_layout === 'top' && has_post_thumbnail() ) { ?>
    <header class="entry-header post-entry-header">
        <?php 				
				the_title( '<h1 class="entry-title">', '</h1>' ); 			
				if ( false == esc_attr(get_theme_mod( 'empt_lite_show_single_meta', false ) ) ) {
					empt_lite_single_entry_meta();
				}
			?>
    </header>	
	
    <?php 	if ( $empt_lite_single_layout === 'top' && has_post_thumbnail() && false == esc_attr(get_theme_mod( 'empt_lite_show_hide_post_image', false ) ) ) {
				if( esc_attr(get_theme_mod( 'empt_lite_thumbnail_single_wide', false ) ) && has_post_thumbnail() ) :
					echo '<figure class="post-thumbnail">';
							the_post_thumbnail( 'empt-single-wide-thumbnail', array(
							// image alt
							'alt' => the_title_attribute(
								array( 'echo' => false )
								),
							) );
					echo '</figure>';
				else:
					echo '<figure class="post-thumbnail">';
						the_post_thumbnail();
					echo '</figure>';	
				endif; 
		}	
	} ?>

    <?php // Show post thumbnail if we are using a single layout that does not have the banner style active
		if ( $empt_lite_single_layout !== 'top' ) { 
				if ( false == esc_attr(get_theme_mod( 'empt_lite_show_hide_post_image', false ) ) ) {
					if( esc_attr(get_theme_mod( 'empt_lite_thumbnail_single_wide', false ) ) && has_post_thumbnail() ) :
					echo '<figure class="post-thumbnail">';
							the_post_thumbnail( 'empt-single-wide-thumbnail', array(
							// image alt
							'alt' => the_title_attribute(
								array( 'echo' => false )
								),
							) );
					echo '</figure>';
				else:
					echo '<figure class="post-thumbnail">';
						the_post_thumbnail();
					echo '</figure>';	

				endif; 
				}	
			?>
			
    <div class="post-content">
        <header class="entry-header post-entry-header">
            <?php 							
					the_title( '<h1 class="entry-title">', '</h1>' ); 			
					if ( false == esc_attr(get_theme_mod( 'empt_lite_show_single_meta', false ) ) ) {
						empt_lite_single_entry_meta();
					}
				?>
        </header>
        <?php 	} ?>

        <div class="entry-content clearfix">
            <?php the_content(); 
				empt_lite_multipage_pagination()
				?>
        </div>

        <?php if ( $empt_lite_single_layout !== 'minimal' ) { ?>

        <footer class="entry-footer">
            <?php 
		// Post tags
		if ( false == esc_attr(get_theme_mod( 'empt_lite_hide_post_tags', false ) ) ) {
			empt_lite_post_tags(); 
		}
				
		// Author bio.
        if ( get_the_author_meta( 'description' ) && false == esc_attr(get_theme_mod( 'empt_lite_hide_author_bio', false ) )  ) {		
          get_template_part( 'template-parts/biography' );
        }
	
		?>
        </footer>

        <?php } ?>

    </div>
</article>

<?php if ( $empt_lite_single_layout !== 'minimal' ) { ?>
<div id="comments-wrapper">
    <?php 	
		// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() ) {
				comments_template();
			}
		?>
</div>
<?php } ?>

<?php 	
	// Previous/next post navigation.
		if ( false == esc_attr(get_theme_mod( 'empt_lite_hide_post_nav', false ) ) ) {    
			empt_lite_post_pagination(); 
		}
	?>
